***

title: assignDomainApplication
slug: /reference/typescript/rest/fabric/resources/assign-domain-application
description: Assign a domain application to a Fabric resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Assign a domain application to a Fabric resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/{id}/domain_applications" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/{id}/domain_applications" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const result = await client.fabric.resources.assignDomainApplication("resource-id", {
  domain_application_id: "app-uuid"
});
console.log(`Domain application assigned: ${result.id}`);
```